VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV:
[legend]

## Public Member Functions

| AccelerationStructureCreateInfoNV (DeviceSize compactedSize_=0, AccelerationStructureInfoNV info_=AccelerationStructureInfoNV())
| AccelerationStructureCreateInfoNV (VkAccelerationStructureCreateInfoNV const &rhs)
AccelerationStructureCreateInfoNV & | operator= (VkAccelerationStructureCreateInfoNV const &rhs)
AccelerationStructureCreateInfoNV & | setPNext (const void *pNext_)
AccelerationStructureCreateInfoNV & | setCompactedSize (DeviceSize compactedSize_)
AccelerationStructureCreateInfoNV & | setInfo (AccelerationStructureInfoNV info_)
| operator VkAccelerationStructureCreateInfoNV const & () const
| operator VkAccelerationStructureCreateInfoNV & ()
bool | operator== (AccelerationStructureCreateInfoNV const &rhs) const
bool | operator!= (AccelerationStructureCreateInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
DeviceSize | compactedSize
AccelerationStructureInfoNV | info

## Private Attributes

StructureType | sType = StructureType::eAccelerationStructureCreateInfoNV

## Detailed Description

Definition at line 37112 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AccelerationStructureCreateInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::AccelerationStructureCreateInfoNV | ( | DeviceSize | compactedSize_ = `0`,
|  | AccelerationStructureInfoNV | info_ = `AccelerationStructureInfoNV()`
| ) |  |

inline

Definition at line 37114 of file vulkan.hpp.

: compactedSize( compactedSize_ )
, info( info_ )
{
}

## AccelerationStructureCreateInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::AccelerationStructureCreateInfoNV | ( | VkAccelerationStructureCreateInfoNV const & | rhs | ) |

inline

Definition at line 37121 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AccelerationStructureCreateInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkAccelerationStructureCreateInfoNV &()

VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::operator VkAccelerationStructureCreateInfoNV & | ( |  | ) |

inline

Definition at line 37154 of file vulkan.hpp.

{
return *reinterpret_cast<VkAccelerationStructureCreateInfoNV*>(this);
}

## operator VkAccelerationStructureCreateInfoNV const &()

VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::operator VkAccelerationStructureCreateInfoNV const & | ( |  | ) | const

inline

Definition at line 37149 of file vulkan.hpp.

{
return *reinterpret_cast<const VkAccelerationStructureCreateInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::operator!= | ( | AccelerationStructureCreateInfoNV const & | rhs | ) | const

inline

Definition at line 37167 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

AccelerationStructureCreateInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::operator= | ( | VkAccelerationStructureCreateInfoNV const & | rhs | ) |

inline

Definition at line 37126 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AccelerationStructureCreateInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::operator== | ( | AccelerationStructureCreateInfoNV const & | rhs | ) | const

inline

Definition at line 37159 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( compactedSize == rhs.compactedSize )
&& ( info == rhs.info );
}

References compactedSize, info, pNext, and sType.

Referenced by operator!=().

## setCompactedSize()

AccelerationStructureCreateInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::setCompactedSize | ( | DeviceSize | compactedSize_ | ) |

inline

Definition at line 37137 of file vulkan.hpp.

{
compactedSize = compactedSize_;
return *this;
}

References compactedSize.

## setInfo()

AccelerationStructureCreateInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::setInfo | ( | AccelerationStructureInfoNV | info_ | ) |

inline

Definition at line 37143 of file vulkan.hpp.

{
info = info_;
return *this;
}

References info.

## setPNext()

AccelerationStructureCreateInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 37131 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## compactedSize

DeviceSize VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::compactedSize

Definition at line 37177 of file vulkan.hpp.

Referenced by operator==(), and setCompactedSize().

## info

AccelerationStructureInfoNV VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::info

Definition at line 37178 of file vulkan.hpp.

Referenced by operator==(), and setInfo().

## pNext

const void* VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::pNext = nullptr

Definition at line 37176 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::sType = StructureType::eAccelerationStructureCreateInfoNV

private

Definition at line 37173 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::operator==
bool operator==(AccelerationStructureCreateInfoNV const &rhs) const
Definition: vulkan.hpp:37159
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::info
AccelerationStructureInfoNV info
Definition: vulkan.hpp:37178
VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::sType
StructureType sType
Definition: vulkan.hpp:37173
VkAccelerationStructureCreateInfoNV
Definition: vulkan_core.h:8270
VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:37176
VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::AccelerationStructureCreateInfoNV
AccelerationStructureCreateInfoNV(DeviceSize compactedSize_=0, AccelerationStructureInfoNV info_=AccelerationStructureInfoNV())
Definition: vulkan.hpp:37114
VULKAN_HPP_NAMESPACE::AccelerationStructureCreateInfoNV::compactedSize
DeviceSize compactedSize
Definition: vulkan.hpp:37177